toolzerhub API Docs

List post comments

Returns top-level comments for required post_id. Use sort_type for ordering and after for pagination.

2 credits / requestBilled only on success
GET
/v2/reddit/post/comments

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

post_id*string

Reddit post fullname (e.g. t3_xxxxx).

Length1 <= length
sort_type?string

Comment sort order.

Value in

  • "CONFIDENCE"
  • "NEW"
  • "TOP"
  • "HOT"
  • "CONTROVERSIAL"
  • "OLD"
  • "RANDOM"
after?string

Cursor from the previous response used to fetch the next page.

curl -X GET "https://example.com/v2/reddit/post/comments?post_id=t3_1uw2gep" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "string",    "commentCount": 0,    "commentForest": {      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}